LIBXO(3)

NAME
xo_set_version, xo_set_version_h - record content-version information in encoded output

LIBRARY
libxo

SYNOPSIS
#include <libxo/xo.h>
void
xo_set_version(const char *version);
void
xo_set_version_h(xo_handle_t *xop, const char *version);

DESCRIPTION
The xo_set_version function records a version number to be emitted as part of the data for encoding styles (XML and JSON). This version number is suitable for tracking changes in the content, allowing a user of the data to discern which version of the data model is in use.

SEE ALSO
xo_emit(3), libxo(3)